/* GLOBAL */
h1,
.h1 {
    font-size: 58px;
}

h2,
.h2 {
    font-size: 28px;
    line-height: 1.2em;
}

h3,
.h3 {
    font-size: 22px;
    line-height: 1.2em;
}

h4,
.h4 {
    font-size: 18px;
    line-height: 1.2em;
}

h5,
h6 .h5,
.h6 {
    font-size: 16px;
    line-height: 1.2em;
}

.content-container {
    padding: 0 1em;
}

.content-container>* {
    padding: 0;
}

/* helpers */
.has-vertical-padding {
    padding-top: 2em;
    padding-bottom: 2em;
}

.has-columns-2 {
    display: grid;
    grid-template-columns: 50% auto;
    column-gap: 5em;
}

.has-columns-2-no-gap {
    display: grid;
    grid-template-columns: calc(50% + 5em) auto;
    column-gap: 0;
}

.has-columns-sidebar {
    display: grid;
    grid-template-columns: 62% auto;
    column-gap: 3em;
}

.hide-on-desktop {
    display: none !important;
}

/* subscribe */
.subscribe-section .has-columns-sidebar {

    grid-template-columns: auto 320px;
    margin-bottom: 2rem;

    &>div:nth-child(2) {
        padding: 1em;
        margin-top: 44px;
        background: var(--spryg--preset--color--offwhite);

        & p {
            line-height: 1.3em;
        }
    }
}

.has-columns-3 {
    display: grid;
    grid-template-columns: 150px auto 300px;
    column-gap: 1rem;
    align-items: stretch;
}

.has-columns-3-equal {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 1rem;
}

.has-reversed-order.has-columns-2 {
    &>* {
        grid-row: 1;
        grid-column: 1;
    }

    &>:first-child {
        grid-column: 2;
    }
}

.has-reversed-order:not(.has-columns-2) {
    direction: rtl;
    text-align: left;
    grid-template-columns: auto 50%;
}

.has-mobile-margin-y {
    margin-top: revert;
    margin-bottom: revert;
}

.has-space-between {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.has-flex-gap {
    display: flex;
    gap: 1em;
    align-items: flex-start;
}



details {
    cursor: pointer;
    margin-bottom: 1em;

}

#main-nav {
    padding: .5rem 1rem;
}

#main-nav .content-container {
    display: grid;
    grid-template-areas:
        "main-nav-logo main-nav-eyebrow main-nav-eyebrow"
        "main-nav-logo main-nav-menu main-nav-search";
    grid-template-rows: 30px auto;
    grid-template-columns: auto 1fr auto;
    width: 100%;
    background: #ffffff;
}

#main-nav .content-container #main-nav-menu {
    display: flex;
    justify-content: flex-start;
    margin-left: 2rem;
}

#main-nav .content-container #main-nav-logo,
#main-nav .content-container #main-nav-logo img {
    height: auto;
}

#close-menu,
#hamburger {
    display: none;
}



#event-nav {
    top: -1px;
}

#event-nav-menu {
    padding: 0;
    background: none;
    border: 0;
    overflow-x: hidden;
    display: flex;
    flex-direction: row;
    /* align-items: center; */
    justify-content: space-between;
}

#event-nav-menu>.subscribe-nav {
    display: revert;
    display: none;
}


.stuck #event-nav-menu>.subscribe-nav {
    display: block;
}

.stuck ul>li>a[href*="inschrijven"] {
    display: none;
}


/* menu */
ul.menu-layout-default {
    padding: 0.4em 0;
    gap: 1.5em;
    overflow-y: hidden;
}

ul.menu-layout-default li a {
    font-size: 16px;
}

ul.menu-layout-default li.active:after,
ul.menu-layout-default li:hover:after {
    content: " ";
    position: absolute;
    height: 6px;
    bottom: -6px;
    left: 0;
    right: 0;
    background: #ffb838;
}

ul.menu-layout-default li:last-child {
    padding-right: 0em;
}

/* menu item has children */
/* ul.menu-layout-default li.has-children a{
    padding-right: 1.5em;
} */
/* ul.menu-layout-default li.has-children a:after {
    content: " ";
    position: absolute;
    right: .6em;
    top: .3em;
    width: .4em;
    height: .4em;
    border-left: 2px solid black;
    border-bottom: 2px solid black;
    transform: rotate(-45deg);
} */

#main-nav .content-container #main-nav-eyebrow {
    display: block;
    text-align: right;

    & ul {
        display: flex;
        justify-content: flex-end;
        gap: 1.5em;
        list-style: none;
        margin: 0;
        padding: 0;

        & li {
            display: inline-block;

            & a {
                position: relative;
                text-decoration: none;
                color: currentColor;
                font-size: 12px;
                letter-spacing: -.02em;

                display: flex;
                align-items: center;
                flex-direction: row;
                gap: 8px;

                & i {
                    font-size: 1.3em;
                    color: var(--spryg--preset--color--yellow);
                }
            }

            & form {
                display: flex;
                align-items: center;
                gap: 8px;

                input[type="search"] {
                    padding: 0.2rem;
                    font-size: 12px;
                    border: 1px solid currentColor;
                    max-width: 100px;
                    margin: 0 0 0 1rem;
                }

                input[type="submit"] {
                    padding: 0.2rem 0.2rem 0.2rem 0.75rem;
                    font-size: 12px;
                    border: 0;
                    background: transparent url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 512 512"><path d="M416 208c0 45.9-14.9 88.3-40 122.7L502.6 457.4c12.5 12.5 12.5 32.8 0 45.3s-32.8 12.5-45.3 0L330.7 376c-34.4 25.2-76.8 40-122.7 40C93.1 416 0 322.9 0 208S93.1 0 208 0S416 93.1 416 208zM208 352a144 144 0 1 0 0-288 144 144 0 1 0 0 288z"/></svg>') center left / .75rem no-repeat;
                }
            }
        }
    }
}

#main-nav .content-container #main-nav-search {
    display: flex;
    justify-content: end;
    align-items: flex-end;
    padding-bottom: 3em;
}

#event-header {
    position: relative;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.3) 0%, rgba(0, 0, 0, 0.6) 100%);
    margin-bottom: 5px;
}

#event-header .content-container {
    display: grid;
    position: relative;
    grid-template-areas:
        "header-title header-highlight"
        "header-title header-details";
    grid-template-rows: auto auto;
    grid-template-columns: auto 380px;
    gap: 1em 10%;

    align-items: start;

    /* white below only */
    /*background: linear-gradient(0deg, rgba(255, 255, 255, 1) 100px, rgba(255, 255, 255, 0) 100px);*/
    /* with black overlay */
}

#event-header .content-container #header-breadcrumb {
    display: block;
    grid-area: header-breadcrumb;
    padding: 3em 0;
    color: #ffb838;
    font-size: 11px;
}

#event-header .content-container #header-title {
    padding: 2em 3em 2em 2em;
    font-size: 18px;
    min-height: 280px;
    margin-bottom: 1.5rem;
    width: fit-content;
}

#event-header .content-container #header-highlight {
    display: block;
    line-height: 1.7em;
    margin-top: 2rem;
}

#event-header .content-container #header-highlight span {
    display: inline-block;
    font-size: 15px;
    line-height: 1.2em;
    word-break: break-word;
    hyphens: auto;
}

#event-header .content-container #header-highlight .text-slider-slide span:nth-child(1) {
    /* font-size: 28px; */
    font-weight: 700;
}

#event-header .content-container #header-details {
    margin-top: auto;
    /* drukt het element naar beneden */
    align-items: flex-end;

    &:has(.keep-me-posted-button) .content {
        padding: 0;
        box-shadow: none;
    }

    & .content {
        background: var(--spryg--preset--color--white);
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        position: relative;
        padding: 4px;

        & span {
            font-weight: 700;
            flex-grow: 1;
            text-align: center;
        }

        & .subscribe-button {
            padding: 0.4rem;
        }

        & .button {
            padding: 0.4rem;
            flex-grow: 1;
            text-align: center;
            display: inline-block;
            position: relative;
            font-weight: 700;
            text-decoration: none;
            border: none;
            cursor: pointer;

            &:hover {
                text-decoration: underline;
            }
        }

    }
}


#event-header .content-container #header-details .content {

    max-width: 280px;

    .detail {
        display: grid;
        grid-template-columns: 15px auto;
        align-items: center;
        flex-direction: row;
        gap: 10px;

        & i {
            color: var(--spryg--preset--color--grey);
        }
    }
}

#event-header .content-container #header-details #header-details-subscribe {
    margin: 0;
    position: absolute;
    right: 0;
    bottom: 0;
}

#event-header #background-video {
    display: block;
    width: 100%;
    height: 100%;
    max-height: 100vh;
    position: absolute;
    object-fit: cover;
    padding-bottom: 1px;
    z-index: -1;
    overflow: hidden;
    background: url('https://spryg.com/wp-content/themes/spryg/assets/img/squiggle.svg') bottom right no-repeat;
    background-size: contain;
}

#event-header #background-video iframe {
    width: 100vw;
    /* Given a 16:9 aspect ratio, 9/16*100 = 56.25 */
    height: 56.25vw;
    min-height: 100vh;
    /* Given a 16:9 aspect ratio, 16/9*100 = 177.77 */
    min-width: 177.77vh;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.subscribe-button,
.btn.btn-success {
    display: inline-block;
}

/* simple text slider */
.text-slider-container {
    display: flex;
    overflow: hidden;
    opacity: 1;
    transition: opacity .5s;
    transition-delay: 1s;

    @starting-style {
        opacity: 0;
    }
}

.text-slider-container .text-slider-slide {
    display: block;
    width: 100%;
    min-width: 100%;
    transform: translateX(calc(-100% * var(--i)));
    transition: .8s;
    z-index: 1;
}

.text-slider-container .text-slider-slide img {
    transition-delay: 2s;
    transform: translateX(-100%);
    display: flex;
    z-index: 0;
}

.text-slider-container .text-slider-slide>div {
    position: absolute;
    bottom: 1rem;
    left: 0;

}

.text-slider-container .text-slider-slide span {
    transition: 1s;
    transform: translateY(50%);
    display: none;
    padding: .2em .6em;
    background: var(--spryg--preset--color--yellow);
    z-index: 2;
    font-size: 0.8rem;

    &:empty {
        display: none !important;
    }
}

.text-slider-container .text-slider-slide span+span {
    transform: translateY(100%);
}

.text-slider-container .text-slider-slide[style] {
    display: flex;
    gap: 1em;
    object-fit: cover;
    height: 100%;
}

.text-slider-container .text-slider-slide.active {
    display: flex;
    z-index: 2;
}

.text-slider-container .text-slider-slide.active>img {
    transform: translateY(0%) translateX(0%);
    opacity: 1;
    display: flex;
    transition: transform 1s;

    @starting-style {
        transform: translateX(100%);
    }
}

.text-slider-container .text-slider-slide.active>div>span {
    transform: translateY(0%) translateX(0%);
    display: flex;
    width: max-content;
    opacity: 1;
    transition: opacity 2s, transform 1s;
    margin-block: .25rem;

    @starting-style {
        opacity: 0;
        transform: translateY(100%);
    }
}

.text-slider-container .text-slider-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* home opening */

.opening-section {

    &>div.content-container.has-columns-3 {
        &>.personal-image-container {
            grid-column: 1;
            grid-row: 1;
        }
    }

    & .widget {
        line-height: 1.1em;
    }

    & .rekentest {
        display: grid !important;
        grid-template-columns: 2fr 1fr;
        gap: 2rem;
        justify-items: start;
    }

    & .gform_wrapper {

        margin: 0;

        & .gform_validation_errors {
            display: none;
        }

        & .gform_fields {
            margin-top: .25rem;
        }

        & .gform-footer {
            margin-top: 0;
        }

        & :is(.ginput_container, .gform-footer) input {
            height: auto;
            padding: .5rem 1rem !important;
            height: auto !important;
            line-height: 1.2em;
            background-image: none !important;

            &:not(.gfield-choice-input) {
                height: auto !important;
                margin: 4px 0;
            }

            &[type="submit"] {
                background: var(--spryg--preset--color--grey) !important;
            }
        }
    }
}

.section-modules {
    &>div.content-container.has-columns-3 {
        &>.personal-image-container {
            grid-column: 1;
            grid-row: 1;
        }

        &>.modules-text-container {
            grid-column: auto / span 2;
        }
    }
}

.spryg-person-column img {
    max-width: 300px;
    width: 300px;
    height: auto;
    margin-left: -10px;
    margin-right: -10px;
}

/* timetable */
.timetable-container:has(.timetable-sidebar-content) {
    display: grid;
    grid-template-columns: 2fr 1fr;
    gap: 30px;

    .timetable-sidebar-content {
        position: relative;
        grid-template-columns: 1fr;
        margin-top: 0;
        padding-top: .4rem;
        /* text-align: center; */

        &>div {
            position: sticky;
            top: 4em;
        }

        & img {
            max-width: 100%;
        }
    }
}

.share-container {
    gap: 1.5em;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    margin-bottom: 0;
}

.timetable {

    .timetable-day-header li:not(.active) {
        display: inline-block;

        a {
            opacity: 0.5;
        }
    }

    .timeblock {
        position: relative;
        grid-template-columns: 100px auto;

        & .time {
            font-size: 1.2rem;
            display: flex;
            justify-content: start;
            align-items: flex-start;
        }

        & .description {
            padding: 1rem;

            & p:last-child {
                margin-bottom: 0;
            }
        }

        & .images img:not(:only-child) {
            border-left: 5px solid transparent;
        }
    }
}

.timeblock {

    & .has-columns-2 {
        padding: 0;
        grid-template-columns: 1fr;
        column-gap: 1em;

        & .images {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            justify-content: flex-start;
            align-content: flex-end;
        }

        & .images img {
            width: 100px;
        }

        &.image-count-1 {
            /* grid-template-columns: auto 160px; */
            position: relative;
            min-height: 184px;

            & .images img {
                position: absolute;
                left: 0;
                top: clamp(2.5rem, 30%, 6rem);
                width: clamp(85px, 15vw, 100px);
                transform: translateX(calc(-100% - 0.5em));
            }
        }

        &.image-count-2 {
            /* grid-template-columns: auto 330px; */

            & .images img {
                /* width: 50%; */
                width: 160px;
            }
        }
    }

    &:has(.time:empty) .has-columns-2.image-count-1 {
        min-height: 145px;

        & .images img {
            top: 0;
        }
    }
}

.timetable.is-faded .show-more-button {
    margin-left: 176px;
}

.has-auto-columns-2 {
    padding: 0;
    grid-template-columns: auto auto;
    column-gap: 1em;
    display: grid;
}

.list-columns {
    column-count: 3;
    column-gap: 2em;
}


.subscribe-button:hover:after,
.submit-button-container:hover:after,
.btn.btn-success:hover:after {
    right: .8em;
}

/* date and location */
.section-date-location .date-location-item:has(.maps) {
    display: grid;
    grid-template-columns: 45% auto;
    align-items: start;
    gap: 2rem;

    h3 {
        margin-block: 0 .2rem;
    }

    .maps {
        display: block;
        width: 100%;

        iframe {
            width: 100%;
            aspect-ratio: 5 / 3;
            height: auto;
        }
    }
}

.section-date-location .has-columns-sidebar {

    gap: 1rem;
    grid-template-columns: calc(62% + 2rem) auto;
    align-items: stretch;

    & .widget {
        min-height: 170px;
        padding: .5rem;
    }
}

body.tab-informatie .section-date-location .has-columns-sidebar {
    grid-template-columns: auto 280px;
}

.section-partner {
    & .gform_wrapper {
        & .gform_page {
            flex-direction: row;
        }

        & input.button:not(.gform_previous_button) {
            margin-top: 1.85em !important;
        }
    }
}

/* option bannner */
.section-option-cta .blocks {
    display: grid;
    gap: 4rem;
    grid-template-columns: repeat(3, 1fr);
    margin-block: 2rem;

    &>div {
        position: relative;
        padding: 3.5rem .7rem 1rem .7rem;
        min-height: 170px;
        background: var(--spryg--preset--color--white);
        text-wrap-style: balance;

        & h3 {
            margin-block: 0 .3rem;
        }

        &:before {
            position: absolute;
            top: .7rem;
            left: .7rem;
            content: "";
            width: 32px;
            height: 32px;
            background: var(--spryg--preset--color--green);
            mask-image: url('../assets/images/icons/calendar.svg');
        }

        &.program:before {
            mask-image: url('../assets/images/icons/clock.svg');
        }

        &.location:before {
            mask-image: url('../assets/images/icons/location.svg');
        }

        &.routes:before {
            mask-image: url('../assets/images/icons/directions.svg');
        }
    }

    & .widget {
        min-height: 170px;
        padding: .5rem;
    }
}

.section-retrospective {
    & .has-columns-2 {
        grid-template-columns: 60% auto;
    }
}

.widget-advies .has-columns-2 {
        gap: 1rem;
        grid-template-columns: calc(60% + 1rem) auto;
        padding: 0;
}

/* people */
.people-overall-container {
    display: grid;
    grid-template-columns: auto 100px;
    gap: 0.3em;
    align-items: start;
}

.people-container {
    display: grid;
    /* grid-template-columns: 1fr 1fr 1fr 1fr; */
    gap: 2em;
}

/* partners */
.partner-logos {
    gap: 2em;
}

/* video*/
.related-videos {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
}


/* footer */
footer {
    padding-bottom: 0;
    font-size: 15px;

    .footer-menu {
        padding: 0 1rem;
        display: grid;
        grid-template-columns: 30% 25% 1fr 1fr;
        gap: 3rem;

        & :is(p, li) {
            margin: 0 0 .2em 0;
        }

        & h4 {
            margin: 0 0 1rem 0;
            font-size: 16px;
        }
    }

    .footer-above-menu {
        padding: 0 1rem;
        display: grid;
        gap: 3rem;
        margin-bottom: 1rem;
        grid-template-columns: 30% 30% auto;

        &>div:nth-child(1) {
            order: revert;
        }

        img {
            max-width: 100%;
            height: 95px;
        }
    }

    #menu-boost-menu {
        columns: 2;
        -webkit-columns: 2;
        -moz-columns: 2;

        & li {
            list-style-type: none;
            position: relative;
            padding-left: 15px;

            &:before {
                content: "\25BA";
                font-size: 10px;
                position: absolute;
                top: 0;
                left: 0;

            }
        }
    }

    .list-footer-endbar {
        gap: .5em;
        margin: 0;
        padding: 0.6em 0 !important;

        & li:first-child {
            flex-basis: auto;
        }
    }
}

body #action-nav,
body.scroll-down #action-nav {
    display: none !important;
}